net.corda.core.node

## Class PhysicalLocation

- net.corda.core.node.PhysicalLocation

-     public class PhysicalLocation

  A labelled `class WorldCoordinate`, where the label is human meaningful. For example, the name of the nearest city. Labels should not refer to non-landmarks, for example, they should not contain the names of organisations.

  See Also:
    `class WorldCoordinate`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhysicalLocation(WorldCoordinate coordinate, java.lang.String description)` A labelled `class WorldCoordinate`, where the label is human meaningful. For example, the name of the nearest city. Labels should not refer to non-landmarks, for example, they should not contain the names of organisations.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorldCoordinate` | `component1()`
    `java.lang.String` | `component2()`
    `PhysicalLocation` | `copy(WorldCoordinate coordinate, java.lang.String description)` A labelled `class WorldCoordinate`, where the label is human meaningful. For example, the name of the nearest city. Labels should not refer to non-landmarks, for example, they should not contain the names of organisations.
    `boolean` | `equals(java.lang.Object p)`
    `WorldCoordinate` | `getCoordinate()`
    `java.lang.String` | `getDescription()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### PhysicalLocation

          public PhysicalLocation(WorldCoordinate coordinate,
                                  java.lang.String description)

      A labelled `class WorldCoordinate`, where the label is human meaningful. For example, the name of the nearest city. Labels should not refer to non-landmarks, for example, they should not contain the names of organisations.

      See Also:
        `class WorldCoordinate`

  - ### Method Detail

    - #### getCoordinate

          public WorldCoordinate getCoordinate()

    - #### getDescription

          public java.lang.String getDescription()

    - #### component1

          public WorldCoordinate component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public PhysicalLocation copy(WorldCoordinate coordinate,
                                       java.lang.String description)

      A labelled `class WorldCoordinate`, where the label is human meaningful. For example, the name of the nearest city. Labels should not refer to non-landmarks, for example, they should not contain the names of organisations.

      See Also:
        `class WorldCoordinate`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)